跳转到内容
打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
登录后可编辑和发表评论。

Template:Hover/styles.css

模板页面
.hover {
    position: relative
}

.hoverbefore,
.hoverafter {
    position: absolute;
    transition: .37s all linear;
    top: 0;
    left: 0;
}

.hoverafter,
.hover:hover .hoverbefore,
.hover:focus .hoverbefore,
.hover:active .hoverbefore {
    opacity: 0;
}

.hover:hover .hoverafter,
.hover:focus .hoverafter,
.hover:active .hoverafter {
    opacity: 1;
}

.hover[data-HoverBeforeDisplayOnHover="none"]:hover .hoverbefore,
.hover[data-HoverBeforeDisplayOnHover="none"]:focus .hoverbefore,
.hover[data-HoverBeforeDisplayOnHover="none"]:active .hoverbefore,
.hover[data-HoverAfterDisplayOnHover="none"]:hover .hoverafter,
.hover[data-HoverAfterDisplayOnHover="none"]:focus .hoverafter,
.hover[data-HoverAfterDisplayOnHover="none"]:active .hoverafter {
    display: none!important;
}
.hover[data-HoverBeforeDisplayOnHover="inline-block"]:hover .hoverbefore,
.hover[data-HoverBeforeDisplayOnHover="inline-block"]:focus .hoverbefore,
.hover[data-HoverBeforeDisplayOnHover="inline-block"]:active .hoverbefore,
.hover[data-HoverAfterDisplayOnHover="inline-block"]:hover .hoverafter,
.hover[data-HoverAfterDisplayOnHover="inline-block"]:focus .hoverafter,
.hover[data-HoverAfterDisplayOnHover="inline-block"]:active .hoverafter {
    display: inline-block!important;
}
.hover[data-HoverBeforeDisplayOnHover="block"]:hover .hoverbefore,
.hover[data-HoverBeforeDisplayOnHover="block"]:focus .hoverbefore,
.hover[data-HoverBeforeDisplayOnHover="block"]:active .hoverbefore,
.hover[data-HoverAfterDisplayOnHover="block"]:hover .hoverafter,
.hover[data-HoverAfterDisplayOnHover="block"]:focus .hoverafter,
.hover[data-HoverAfterDisplayOnHover="block"]:active .hoverafter {
    display: block!important;
}
/* [[Category:在模板命名空间下的CSS页面]] */